Package: org.apache.groovy.contracts.domain

## [Java] Class Precondition

- org.apache.groovy.contracts.domain.Precondition

-     public class Precondition
      extends Assertion

  A pre-condition assertion.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `Precondition()`
    `Precondition(BlockStatement blockStatement, BooleanExpression booleanExpression)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Assertion` | `and, booleanExpression, or, originalBlockStatement, renew`

- - ### Constructor Detail

    - #### public Precondition()

    - #### public Precondition(BlockStatement blockStatement, BooleanExpression booleanExpression)